Subject: [bug#44853] [PATCH] gnu: Add qpdfview.

From: Timotej Lazar <[email-masked]>
Date: Wed, 25 Nov 2020 19:35:51 +0100

Leo Famulari <[email-masked]> [2020-11-24 22:13:09-0500]:
> I noticed that, on my Debian system, the user interface was not
> displaying any icons.

Turns out it happens for me too, but I didn’t notice because I have
qtsvg installed in my profile.

> I fixed it for myself by making the package use the 'qt-wrap' phase

This makes sense. I suppose we should wrap all Qt programs like this. I
tried your patch and it works, but the same icon theme is used
regardless of what I choose in LXQt appearance settings.

I think the problem is with the 'qt-wrap phase, which uses "=" instead
of "suffix" for wrapping variables. Changing this in qt-build-sytem.scm
gives me correct icons. Now that I think about it, "prefix" might be
better to ensure the correct versions of plugins are used at runtime;
both options work for me.

Thanks!
Timotej